利用状況を取得
curl --request GET \
--url https://api.x.com/2/usage/tweets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/usage/tweets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/usage/tweets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cap_reset_day": 123,
"daily_client_app_usage": [
{
"client_app_id": "<string>",
"usage": [
{
"date": "2021-01-06T18:40:40.000Z",
"usage": 123
}
],
"usage_result_count": 123
}
],
"daily_project_usage": {
"project_id": 123,
"usage": [
{
"date": "2021-01-06T18:40:40.000Z",
"usage": 123
}
]
},
"project_cap": 123,
"project_id": "<string>",
"project_usage": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}利用状況
利用状況を取得
指定した日数にわたる投稿の利用状況統計を取得します。
GET
/
2
/
usage
/
tweets
利用状況を取得
承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
クエリパラメータ
利用状況を取得する日数です。
必須範囲:
1 <= x <= 90表示する Usage フィールドを、カンマ区切りで指定するリスト。 Usage オブジェクトで使用できるフィールド。
Minimum array length:
1利用可能なオプション:
cap_reset_day, daily_client_app_usage, daily_project_usage, project_cap, project_id, project_usage 例:
[
"cap_reset_day",
"daily_client_app_usage",
"daily_project_usage",
"project_cap",
"project_id",
"project_usage"
]
レスポンス
リクエストは成功しました。
クライアント App ごとの利用量
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I